[ubuntu/lucid] launchpad-integration 0.1.34 (Accepted)

Christopher James Halse Rogers raof at ubuntu.com
Thu Feb 11 10:40:16 GMT 2010


launchpad-integration (0.1.34) lucid; urgency=low

  * Fix my name in the previous changelog.
  * debian/rules:
    - export MONO_DISABLE_SHM to fix build with unwritable $HOME
    - Call dh_clideps in binary-predeb; this runs after the call to
      dh_makeshlibs for liblaunchpad-integration1, and allows dh_clideps to
      resolve dependencies correctly.
    - Update targets for liblaunchpad-integration1.0-cil rename.
    - Pass CSC=/usr/bin/mono-csc for CLI policy conformance.
    - Add $(DEB_CONFIGURE_SCRIPT_ENV) to all calls of the configure script.
  * debian/control:
    - Remove manual liblaunchpad-integration1 dependency from
      liblaunchpad-integration1.0-cil.  dh_clideps will add this automatically.
    - Rename liblaunchpad-integration1-cil => liblaunchpad-integration1.0-cil
      for Debian CLI policy compliance.
    - Add strict version dependency to liblaunchpad-integration-cil-dev.
      Silences a lintian warning.
  * launchpad-integration-sharp.dll.config:
    - Change target from launchpad-integration.so.1 to
      liblaunchpad-integration.so.1 for the benefit of dh_clideps
  * debian/liblaunchpad-integration1-cil.install:
  * debian/liblaunchpad-integration1-cil.installcligac
    - Rename for liblaunchpad-integration1.0-cil rename.
  * debian/patches/01_ltmain_add_as_needed.patch:
    - Patch to fix libtool's handling of --as-needed

Date: Wed, 10 Feb 2010 17:26:12 +1100
Changed-By: Christopher James Halse Rogers <raof at ubuntu.com>
Maintainer: Sebastien Bacher <seb128 at debian.org>
Signed-By: Sebastien Bacher <seb128 at ubuntu.com>
https://launchpad.net/ubuntu/lucid/+source/launchpad-integration/0.1.34
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Feb 2010 17:26:12 +1100
Source: launchpad-integration
Binary: launchpad-integration liblaunchpad-integration-dev liblaunchpad-integration1 liblpint-bonobo-dev liblpint-bonobo0 python-launchpad-integration python-launchpad-integration-dbg liblaunchpad-integration1.0-cil liblaunchpad-integration-cil-dev
Architecture: source
Version: 0.1.34
Distribution: lucid
Urgency: low
Maintainer: Sebastien Bacher <seb128 at debian.org>
Changed-By: Christopher James Halse Rogers <raof at ubuntu.com>
Description: 
 launchpad-integration - launchpad integration
 liblaunchpad-integration-cil-dev - CLI bindings for liblaunchpad-integration - development package
 liblaunchpad-integration-dev - library for launchpad integration
 liblaunchpad-integration1 - library for launchpad integration
 liblaunchpad-integration1.0-cil - CLI bindings for liblaunchpad-integration
 liblpint-bonobo-dev - library for launchpad integration
 liblpint-bonobo0 - library for launchpad integration
 python-launchpad-integration - library for launchpad integration
 python-launchpad-integration-dbg - library for launchpad integration (debug extension)
Changes: 
 launchpad-integration (0.1.34) lucid; urgency=low
 .
   * Fix my name in the previous changelog.
   * debian/rules:
     - export MONO_DISABLE_SHM to fix build with unwritable $HOME
     - Call dh_clideps in binary-predeb; this runs after the call to
       dh_makeshlibs for liblaunchpad-integration1, and allows dh_clideps to
       resolve dependencies correctly.
     - Update targets for liblaunchpad-integration1.0-cil rename.
     - Pass CSC=/usr/bin/mono-csc for CLI policy conformance.
     - Add $(DEB_CONFIGURE_SCRIPT_ENV) to all calls of the configure script.
   * debian/control:
     - Remove manual liblaunchpad-integration1 dependency from
       liblaunchpad-integration1.0-cil.  dh_clideps will add this automatically.
     - Rename liblaunchpad-integration1-cil => liblaunchpad-integration1.0-cil
       for Debian CLI policy compliance.
     - Add strict version dependency to liblaunchpad-integration-cil-dev.
       Silences a lintian warning.
   * launchpad-integration-sharp.dll.config:
     - Change target from launchpad-integration.so.1 to
       liblaunchpad-integration.so.1 for the benefit of dh_clideps
   * debian/liblaunchpad-integration1-cil.install:
   * debian/liblaunchpad-integration1-cil.installcligac
     - Rename for liblaunchpad-integration1.0-cil rename.
   * debian/patches/01_ltmain_add_as_needed.patch:
     - Patch to fix libtool's handling of --as-needed
Checksums-Sha1: 
 c7712f94bf0ebaf6b68288afb312c3b02f3ec2b5 1358 launchpad-integration_0.1.34.dsc
 1ef9b5e54af89c933d62b6723189e4bce8eb2460 394631 launchpad-integration_0.1.34.tar.gz
Checksums-Sha256: 
 68abadb87949e1c46af418cc9dc4002a3e8b2808d0471e4f7283bc13c1e25fad 1358 launchpad-integration_0.1.34.dsc
 d97a9ac6461829f4d1e5fbe29db5991646bd14d4bf1f7456f776a2d1ec19f05e 394631 launchpad-integration_0.1.34.tar.gz
Files: 
 bab57978bf83e856e1653e3be77a644a 1358 libs optional launchpad-integration_0.1.34.dsc
 7689795c282b858165d6f16835f91e27 394631 libs optional launchpad-integration_0.1.34.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktz3Z0ACgkQQxo87aLX0pKqAQCgsxD0XEMacgKJ8JjF6D8rWByf
U4QAoJrlHCCS7TJEWt4VDa7J0FoL6JHE
=b4I9
-----END PGP SIGNATURE-----


More information about the Lucid-changes mailing list